%global npm_name qs

Summary:       querystring parser that supports nesting and arrays, with a depth limit
Name:          nodejs-%{npm_name}
Version:       5.2.0
Release:       1%{?dist}
License:       BSD
URL:           https://github.com/hapijs/qs
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
A querystring parsing and stringifying library with some added security.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr dist lib package.json test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc CHANGELOG.md CONTRIBUTING.md LICENSE README.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Thu Oct 15 2015 Troy Dawson <tdawson@redhat.com> - 5.2.0-1
- Update to 5.2.0

* Thu Sep 10 2015 Troy Dawson <tdawson@redhat.com> - 5.0.0-1
- Initial package
